Bug 617478 - Review Request: perl-Data-Random - Perl module to generate random data
Summary: Review Request: perl-Data-Random - Perl module to generate random data
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-23 08:28 UTC by Emmanuel Seyman
Modified: 2010-08-13 21:29 UTC (History)
3 users (show)

Fixed In Version: perl-Data-Random-0.05-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 21:05:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-07-23 08:28:23 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Data-Random/perl-Data-Random.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Data-Random/perl-Data-Random-0.05-1.fc13.src.rpm
Description:
A module used to generate random data. Useful mostly for test programs.

Koji for F-13 : http://koji.fedoraproject.org/koji/taskinfo?taskID=2346307

Comment 1 Petr Pisar 2010-07-23 13:13:52 UTC
Source files are original.
License verified in POD of the module.
Compliant to perl specific packaging guidelines.
rpmlint is silent.
Builds on Koji against perl-5.12 in F14.

Just a suggestion:
perl(Date::Calc) and perl(GD) are optional. Maybe they could be added to BuildRequires to proceed corresponding tests.

Approved.

Comment 2 Emmanuel Seyman 2010-07-23 15:13:05 UTC
(In reply to comment #1)
> 
> Just a suggestion:
> perl(Date::Calc) and perl(GD) are optional. Maybe they could be added to
> BuildRequires to proceed corresponding tests.

Done (although I don't see much difference in the test output).
http://koji.fedoraproject.org/koji/taskinfo?taskID=2346742

Thanks for the review. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-Data-Random
Short Description: Perl module to generate random data
Owners: eseyman
Branches: F-13 F-12
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-07-23 21:46:09 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-07-23 23:38:56 UTC
perl-Data-Random-0.05-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Data-Random-0.05-2.fc13

Comment 5 Fedora Update System 2010-07-23 23:39:02 UTC
perl-Data-Random-0.05-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Data-Random-0.05-2.fc12

Comment 6 Fedora Update System 2010-07-27 02:28:01 UTC
perl-Data-Random-0.05-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-Random'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Data-Random-0.05-2.fc13

Comment 7 Fedora Update System 2010-07-27 02:51:01 UTC
perl-Data-Random-0.05-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-Random'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Data-Random-0.05-2.fc12

Comment 8 Fedora Update System 2010-08-13 21:05:34 UTC
perl-Data-Random-0.05-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-08-13 21:29:29 UTC
perl-Data-Random-0.05-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.